> ## Documentation Index
> Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get API Usage

> Returns your current API credit usage and limit for the interval.

<ResponseExample>
  ```json Response theme={null}
  {
    "status": "1",
    "message": "OK",
    "result": {
      "creditsUsed": 22,
      "creditsAvailable": 1499978,
      "creditLimit": 1500000,
      "limitInterval": "daily",
      "intervalExpiryTimespan": "08:42:34"
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml openapi/api-reference/endpoint/getapilimit.json GET /v2/api
openapi: 3.1.0
info:
  title: Get API Usage
  version: 2.0.0
  description: Returns your current API credit usage and limit for the interval.
  license:
    name: Etherscan API Terms
    url: https://etherscan.io/terms
servers:
  - url: https://api.etherscan.io
    description: Etherscan API.
security:
  - apiKey: []
paths:
  /v2/api:
    get:
      summary: Get API Usage
      description: Returns your current API credit usage and limit for the interval.
      operationId: getGetapilimit
      parameters:
        - name: module
          in: query
          required: true
          description: Set this to getapilimit for this endpoint.
          schema:
            type: string
            default: getapilimit
          example: getapilimit
        - name: action
          in: query
          required: true
          description: Set this to getapilimit for this endpoint.
          schema:
            type: string
            default: getapilimit
          example: getapilimit
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: query
      name: apikey
      description: Your Etherscan API key.

````